[Overview][Resource strings][Constants][Types][Classes][Index] | Reference for unit 'resource' (#fcl-res)

# TAbstractResourceReader.SetDataSize

Protected method to let a reader set a resource DataSize property

## Declaration

Source position: resource.pp line 287

`protected procedure TAbstractResourceReader.SetDataSize(`
`aResource: TAbstractResource;`
`aValue: LongWord`
`);`

## Arguments

`aResource` |  | The resource whose DataSize property must be set
`aValue` |  | The value to set the property to

## Description

This method allows a descendant class to set DataSize property of a resource that is being loaded.

## See also

TAbstractResourceReader.SetHeaderSize |  | Protected method to let a reader set a resource HeaderSize property
TAbstractResourceReader.SetDataOffset |  | Protected method to let a reader set a resource DataOffset property
TAbstractResourceReader.SetRawData |  | Protected method to let a reader set a resource RawData property